Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api.taskplan
Interface RuleBindings

All Superinterfaces:
  EventSource, Serializable

    public interface RuleBindings

extends EventSource, Serializable

Represents the binding of one or more rules to a single task plan. The binding defines how, when evaluating the rule at runtime, to provide values for the parameters required by the rule using property values from the task.

Nested Class Summary
`static interface` | `RuleBindings.Event` Property names for the PropertyChangeEvents that can be produced by edits on a object of this type.

Method Summary
`RuleBinding` | `addBinding(String name)`
`RuleBinding` | `getBinding(String name)`
`String[]` | `getBindingNames()`
`RuleBinding[]` | `getBindings()`
`TaskPlan` | `getTaskPlan()` Get the parent task plan.
`void` | `removeBinding(String name)`
`void` | `renameBinding(String oldName, String newName)`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.EventSource
`addPropertyChangeListener, addPropertyChangeListener, clearDirty, dispose, getParent, isComplete, isDirty, isInitializing, isStarted, markDirty, removePropertyChangeListener, removePropertyChangeListener, startProducing`

Method Detail

### getTaskPlan

    TaskPlan getTaskPlan()

  Get the parent task plan.

### getBindingNames

    String[] getBindingNames()

### getBindings

    RuleBinding[] getBindings()

### getBinding

    RuleBinding getBinding(String name)
                           throws UnknownObjectException

  Throws:
    `UnknownObjectException`

### addBinding

    RuleBinding addBinding(String name)

### removeBinding

    void removeBinding(String name)

### renameBinding

    void renameBinding(String oldName,
                       String newName)
                       throws UnknownObjectException

  Throws:
    `UnknownObjectException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD